Category:Setup - Psyco JIT compiler for Overo build environment for Fedora 10

From Gumstix User Wiki

Jump to: navigation, search

Contents

Download Psyco JIT compiler sources from svn

svn co http://codespeak.net/svn/psyco/dist/ psyco-dist/

Run the python installation script as a super user

cd psyco-dist

su python setup.py install

Note: Psyco only supported on 32-bit architectures

If you download and try to install Psyco on a 64-bit architecture, you'll get the following error:

c/codegen.h:15:3: error: #error "-----------------------------------------------------"
c/codegen.h:16:3: error: #error "Sorry, non-32-bit platforms are not supported at all."
c/codegen.h:17:3: error: #error "You may try with a Python compiled in 32-bit         "
c/codegen.h:18:3: error: #error "compatibility mode.  Note that Psyco will probably   "
c/codegen.h:19:3: error: #error "never support non-32-bit platforms, as it is no      "
c/codegen.h:20:3: error: #error "longer actively developed.  Instead, the PyPy group  "
c/codegen.h:21:3: error: #error "plans to replace it with a more flexible and easily  "
c/codegen.h:22:3: error: #error "retargettable Psyco-for-PyPy during the year 2006.   "
c/codegen.h:23:3: error: #error "See http://codespeak.net/pypy/                       "
c/codegen.h:24:3: error: #error "-----------------------------------------------------"

This category currently contains no pages or media.

Personal tools